summaryrefslogtreecommitdiffstats
path: root/make_slackware_live.sh
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-04-12 23:04:42 +0200
committer Eric Hameleers <alien@slackware.com>2016-04-12 23:04:42 +0200
commit801f1f62b09c68a42c078b3a619539456b160f45 (patch)
tree6100bcc0a71e6e9b836b5bb9cf375ea2472a85e8 /make_slackware_live.sh
parent3350f660cee23d82f0e0c926e19ccfa2a914c670 (diff)
downloadliveslak-801f1f62b09c68a42c078b3a619539456b160f45.tar.gz
liveslak-801f1f62b09c68a42c078b3a619539456b160f45.tar.xz
Umount LIVE_ROOTDIR's sub-mounts properly on emergency cleanup.
Diffstat (limited to 'make_slackware_live.sh')
-rwxr-xr-xmake_slackware_live.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 701a0df..f3f82d7 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -205,6 +205,9 @@ cleanup() {
# Clean up by unmounting our loopmounts, deleting tempfiles:
echo "--- Cleaning up the staging area..."
sync
+ umount ${LIVE_ROOTDIR}/sys 2>${DBGOUT} || true
+ umount ${LIVE_ROOTDIR}/proc 2>${DBGOUT} || true
+ umount ${LIVE_ROOTDIR}/dev 2>${DBGOUT} || true
umount ${LIVE_ROOTDIR} 2>${DBGOUT} || true
# Need to umount the squashfs modules too:
umount ${LIVE_WORK}/*_$$ 2>${DBGOUT} || true